package de.hsel.itech.jsf;

import de.hsel.itech.db.Database;
import de.hsel.itech.db.pojo.Book;
import de.hsel.itech.db.pojo.Category;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import java.io.Serializable;
import java.util.List;

@ManagedBean
@ViewScoped
public class CategoryBean implements Serializable {

    private Category category;

    public Category getCategory() {
        return category;
    }

    public void setCategory(Category category) {
        this.category = category;

    }

    public List<Category> getCategories() {
        return Database.getInstance().getCategories();
    }

    public List<Book> getBooks() {
        return Database.getInstance().getBooks(category);
    }
}